## sumo 1.25.0+dfsg1

=== src/CMakeLists.txt ===
set(netconvertlibs
    netwrite netimport netbuild foreign_eulerspiral ${GDAL_LIBRARY}
    netimport_vissim netimport_vissim_typeloader netimport_vissim_tempstructs
    ${commonlibs} ${TCMALLOC_LIBRARY})

set(sumolibs
    traciserver netload microsim_cfmodels microsim_engine microsim_lcmodels
    microsim_devices microsim_trigger microsim_output microsim_transportables
    microsim_actions microsim_traffic_lights microsim mesosim ${commonvehiclelibs}
    ${GEOS_LIBRARY} ${BOOST_LIBRARIES})

if (OPENSCENEGRAPH_FOUND)
    set(osgviewlib osgview)
endif ()

set(sumoguilibs
    gui guinetload guisim gui gui_dialogs utils_gui_windows utils_gui_globjects
    utils_gui_div utils_gui_settings utils_gui_images utils_gui_cursors
    utils_gui_shortcuts utils_tests utils_gui_tracker utils_foxtools utils_traction_wire
    ${osgviewlib} microsim traciserver libsumoguistatic ${sumolibs} mesogui
    ${GDAL_LIBRARY} ${FFMPEG_LIBRARIES} ${OPENSCENEGRAPH_LIBRARIES} ${GL2PS_LIBRARIES})
if (MSVC)
    set(sumoguilibs ${sumoguilibs} opengl32 glu32)
endif ()

add_subdirectory(activitygen)
add_subdirectory(dfrouter)
add_subdirectory(duarouter)
if (FMI)
    add_subdirectory(fmi)
endif ()
add_subdirectory(foreign)
add_subdirectory(jtrrouter)
add_subdirectory(libsumo)
add_subdirectory(libtraci)
add_subdirectory(marouter)
add_subdirectory(mesosim)
add_subdirectory(microsim)
add_subdirectory(netbuild)
add_subdirectory(netgen)
add_subdirectory(netimport)
add_subdirectory(netload)
add_subdirectory(netwrite)
add_subdirectory(od)
if (OPENSCENEGRAPH_FOUND)
    add_subdirectory(osgview)
endif ()
add_subdirectory(polyconvert)
add_subdirectory(router)
add_subdirectory(tools)
add_subdirectory(traci-server)
add_subdirectory(traci_testclient)
add_subdirectory(utils)
if (FOX_FOUND)
    add_subdirectory(gui)
    add_subdirectory(guinetload)
    add_subdirectory(guisim)
    add_subdirectory(mesogui)
    if (NETEDIT)
        add_subdirectory(netedit)
    endif ()
endif ()

add_executable(sumo sumo_main.cpp)
set_target_properties(sumo PROPERTIES OUTPUT_NAME sumo${BINARY_SUFFIX})
set_target_properties(sumo PROPERTIES OUTPUT_NAME_DEBUG sumo${BINARY_SUFFIX}D)
target_link_libraries(sumo microsim traciserver libsumostatic ${sumolibs} ${TCMALLOC_LIBRARY})
add_dependencies(sumo generate-version-h install_dll)

if (FOX_FOUND)
    add_executable(sumo-gui guisim_main.cpp sumo-gui.rc)
    set_target_properties(sumo-gui PROPERTIES OUTPUT_NAME sumo-gui${BINARY_SUFFIX})
    set_target_properties(sumo-gui PROPERTIES OUTPUT_NAME_DEBUG sumo-gui${BINARY_SUFFIX}D)
    target_link_libraries(sumo-gui ${sumoguilibs} ${TCMALLOC_LIBRARY})
    if (MSVC)
        if (CONSOLE_RELEASE)
            set_target_properties(sumo-gui PROPERTIES LINK_FLAGS_RELEASE "/ENTRY:mainCRTStartup")
        else ()
            set_target_properties(sumo-gui PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")
        endif()
        if (FFMPEG_FOUND)
            set_target_properties(sumo-gui PROPERTIES LINK_FLAGS "/SAFESEH:NO")
        endif ()
        if (CMAKE_VERSION VERSION_LESS "3.16.0")
            message(STATUS "DPI awareness for sumo-gui will be disabled. Please consider using CMake version >= 3.16 to enable it")
        else ()
            set_target_properties(sumo-gui PROPERTIES VS_DPI_AWARE "ON")
        endif ()
    endif ()
    add_dependencies(sumo-gui generate-version-h install_dll install_mo)
    install(TARGETS sumo-gui RUNTIME DESTINATION bin)
endif ()

add_executable(netconvert netconvert_main.cpp)
set_target_properties(netconvert PROPERTIES OUTPUT_NAME netconvert${BINARY_SUFFIX})
set_target_properties(netconvert PROPERTIES OUTPUT_NAME_DEBUG netconvert${BINARY_SUFFIX}D)
target_link_libraries(netconvert ${netconvertlibs})
add_dependencies(netconvert generate-version-h install_dll)

add_executable(od2trips od2trips_main.cpp)
set_target_properties(od2trips PROPERTIES OUTPUT_NAME od2trips${BINARY_SUFFIX})
set_target_properties(od2trips PROPERTIES OUTPUT_NAME_DEBUG od2trips${BINARY_SUFFIX}D)
target_link_libraries(od2trips od router ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(od2trips generate-version-h install_dll)

install(TARGETS sumo netconvert od2trips RUNTIME DESTINATION bin)
install(DIRECTORY libsumo DESTINATION include
        FILES_MATCHING PATTERN "*.h"
        PATTERN "*Helper.h" EXCLUDE
        PATTERN "Subscription.h" EXCLUDE)

configure_file(config.h.cmake config.h)

# obtain version from git folder
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../.git/index")
    set(VERSION_DEP "${CMAKE_CURRENT_SOURCE_DIR}/../.git/index")
endif()

# define version.h dependency
add_custom_command(OUTPUT version.h
                   COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../tools/build_config/version.py ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS ${VERSION_DEP}
                  )
add_custom_target(generate-version-h DEPENDS version.h)
set_property(TARGET generate-version-h PROPERTY FOLDER "CMake")

=== tools/requirements.txt ===
ezdxf>=0.17
fmpy>=0.3.5,!=0.3.17
lxml>=4.5.0
matplotlib>=3.1.2
ortools>=9.4.1874
pandas>=1.2.4
pandas_read_xml>=0.3.1
pillow>=10.3.0; python_version >= '3.8'
polib>=1.1.1
pulp>=2.4
pyarrow
pyproj>=2.5.0
rtree>=0.9.4
scipy>=1.3.3
shapely>=1.8.0

=== src/fmi/CMakeLists.txt ===

#########################################################
# Building of the libsumo-FMI2 library
set (libsumofmi2_SRCS
  fmi2Functions.c
  sumo2fmi_bridge.c
  libsumocpp2c.cpp
)

add_library(libsumofmi2 SHARED ${libsumofmi2_SRCS})
set_target_properties(libsumofmi2 PROPERTIES PREFIX "")
set_target_properties(libsumofmi2 PROPERTIES OUTPUT_NAME libsumofmi2${BINARY_SUFFIX})
set_target_properties(libsumofmi2 PROPERTIES OUTPUT_NAME_DEBUG libsumofmi2${BINARY_SUFFIX}D)
target_link_libraries(libsumofmi2 libsumocpp)

#########################################################
# Building of the ZIP Archive with the model description
# and the static library for the FMU

# The Library needs to go to a specific folder
# (binaries/win32 or binaries/win64 or ...)
# We need to determine the name for this folder

if (CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(BITS "64")
else()
    set(BITS "32")
endif()

if (WIN32)
    if (CMAKE_GENERATOR_PLATFORM STREQUAL "Win32")
        set(BITS "32")
    endif()
    if (CMAKE_GENERATOR_PLATFORM STREQUAL "x64")
        set(BITS "64")
    endif()
    set(PLATFORM_FOLDER_NAME "win${BITS}")
endif()

if (UNIX AND NOT APPLE)
    set(PLATFORM_FOLDER_NAME "linux${BITS}")
endif()

if (APPLE)
    set(PLATFORM_FOLDER_NAME "darwin${BITS}")
endif()

# Set the temporary folder name to collect the contents for the ZIP archive
set(ZIP_BUILD_FOLDER_NAME "sumo-fmi2")

# The command and parameters for rm / remove_directory change in cmake
if (${CMAKE_VERSION} VERSION_GREATER 3.17.0)
    set(remove_command "rm" "-rf")
else()
    set(remove_command "remove_directory")
endif()

###########################################################
# Define the custom target FMI to have all of these files
# built (also as part of ALL - but of course this happens
# only when FMI is enabled)
add_custom_target(prepfmi
  # Remove the old directory (if exists) and create a new directory
  COMMAND ${CMAKE_COMMAND} -E ${remove_command} "${ZIP_BUILD_FOLDER_NAME}"
  COMMAND ${CMAKE_COMMAND} -E make_directory "${ZIP_BUILD_FOLDER_NAME}"
  # Copy the XML file with the model description
  COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/modelDescription.xml" "${ZIP_BUILD_FOLDER_NAME}"
  # Create the folder for the binaries and copy the library
  COMMAND ${CMAKE_COMMAND} -E make_directory "${ZIP_BUILD_FOLDER_NAME}/binaries/${PLATFORM_FOLDER_NAME}/"
  COMMAND ${CMAKE_COMMAND} -E copy ${SUMO_LIBRARIES_RELEASE_DLL} $<TARGET_FILE:libsumofmi2> $<TARGET_FILE:libsumocpp> "${ZIP_BUILD_FOLDER_NAME}/binaries/${PLATFORM_FOLDER_NAME}/"
)
add_dependencies(prepfmi libsumofmi2)

# native zip seems to work better
FIND_PROGRAM(ZIP_EXECUTABLE zip)
if (NOT VERBOSE_SUB)
    set(ZIP_OPTS "-q")
endif ()
if (ZIP_EXECUTABLE)
    add_custom_target(fmi ALL WORKING_DIRECTORY "${ZIP_BUILD_FOLDER_NAME}" COMMAND "${ZIP_EXECUTABLE}" ${ZIP_OPTS} -r "$<TARGET_FILE_DIR:libsumofmi2>/${ZIP_BUILD_FOLDER_NAME}$<$<CONFIG:Debug>:D>-${PLATFORM_FOLDER_NAME}.fmu" .)
else()
    add_custom_target(fmi ALL COMMAND ${CMAKE_COMMAND} -E chdir "${ZIP_BUILD_FOLDER_NAME}" ${CMAKE_COMMAND} -E tar "cf" "$<TARGET_FILE_DIR:libsumofmi2>/${ZIP_BUILD_FOLDER_NAME}$<$<CONFIG:Debug>:D>-${PLATFORM_FOLDER_NAME}.fmu" --format=zip ".")
endif()
add_dependencies(fmi prepfmi)

=== src/libsumo/CMakeLists.txt ===
set(libsumostatic_STAT_SRCS
    Edge.cpp
    Edge.h
    Helper.cpp
    Helper.h
    InductionLoop.cpp
    InductionLoop.h
    Junction.cpp
    Junction.h
    Lane.cpp
    Lane.h
    LaneArea.cpp
    LaneArea.h
    MultiEntryExit.h
    MultiEntryExit.cpp
    Person.cpp
    Person.h
    POI.cpp
    POI.h
    Polygon.h
    Polygon.cpp
    Route.h
    Route.cpp
    Calibrator.h
    Calibrator.cpp
    BusStop.h
    BusStop.cpp
    ParkingArea.h
    ParkingArea.cpp
    ChargingStation.h
    ChargingStation.cpp
    RouteProbe.h
    RouteProbe.cpp
    Rerouter.h
    Rerouter.cpp
    VariableSpeedSign.h
    VariableSpeedSign.cpp
    MeanData.h
    MeanData.cpp
    OverheadWire.h
    OverheadWire.cpp
    Simulation.cpp
    Simulation.h
    Subscription.h
    StorageHelper.h
    TraCIConstants.h
    TraCIDefs.h
    TrafficLight.cpp
    TrafficLight.h
    Vehicle.cpp
    Vehicle.h
    VehicleType.cpp
    VehicleType.h
)

if (NOT ISOLATED_BUILD)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/bin)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/bin)
endif()
add_library(libsumostatic STATIC ${libsumostatic_STAT_SRCS})
add_dependencies(libsumostatic generate-version-h install_dll)
set_target_properties(libsumostatic PROPERTIES FOLDER "libsumo" PREFIX ""
    OUTPUT_NAME libsumostatic${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libsumostatic${BINARY_SUFFIX}D)

if (FOX_FOUND)
    add_library(libsumoguistatic STATIC ${libsumostatic_STAT_SRCS} GUI.cpp GUI.h)
    add_dependencies(libsumoguistatic generate-version-h install_dll)
    set_target_properties(libsumoguistatic PROPERTIES FOLDER "libsumo" PREFIX ""
        OUTPUT_NAME libsumoguistatic${BINARY_SUFFIX}
        OUTPUT_NAME_DEBUG libsumoguistatic${BINARY_SUFFIX}D)
    target_compile_definitions(libsumoguistatic PUBLIC HAVE_LIBSUMOGUI)
    add_library(libsumocpp SHARED ${libsumostatic_STAT_SRCS} GUI.cpp GUI.h)
    target_compile_definitions(libsumocpp PUBLIC HAVE_LIBSUMOGUI)
    set(libsumo_link_library libsumoguistatic)
    set(sumo_link_libraries ${sumoguilibs})
else ()
    add_library(libsumocpp SHARED ${libsumostatic_STAT_SRCS})
    set(libsumo_link_library libsumostatic)
    set(sumo_link_libraries ${sumolibs})
endif()
add_dependencies(libsumocpp generate-version-h install_dll)

set_target_properties(libsumocpp PROPERTIES FOLDER "libsumo" PREFIX ""
    OUTPUT_NAME libsumocpp${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libsumocpp${BINARY_SUFFIX}D)
target_include_directories(libsumocpp PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>)
install(TARGETS libsumocpp EXPORT SUMOConfig
    DESTINATION bin
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
export(TARGETS libsumocpp NAMESPACE SUMO:: FILE "${CMAKE_BINARY_DIR}/SUMOConfig.cmake")

if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
    target_link_libraries(libsumocpp PRIVATE -Wl,--whole-archive ${sumolibs} -Wl,--no-whole-archive)
else ()
    target_link_libraries(libsumocpp PRIVATE ${sumolibs})
endif()
target_link_libraries(libsumocpp PRIVATE ${sumo_link_libraries})

if (SWIG_FOUND)
    include(${SWIG_USE_FILE})
    set_source_files_properties(libsumo.i PROPERTIES CPLUSPLUS ON)
    file(GLOB LIBSUMO_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
    if (ENABLE_JAVA_BINDINGS)
        find_package(Java)
        find_package(JNI)
        if(JAVA_FOUND AND JNI_FOUND)
            include(UseJava)
            include_directories(${JNI_INCLUDE_DIRS})
            set(CMAKE_SWIG_FLAGS -package org.eclipse.sumo.libsumo)
            if (FOX_FOUND)
                set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DHAVE_LIBSUMOGUI)
            endif()
            set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/java)
            set(SWIG_MODULE_libsumojni_EXTRA_DEPS ${LIBSUMO_HEADERS} libsumo_typemap.i)
            if (${CMAKE_VERSION} VERSION_GREATER 3.8.0)
                SWIG_ADD_LIBRARY(libsumojni LANGUAGE java SOURCES libsumo.i)
            else()
                SWIG_ADD_MODULE(libsumojni java libsumo.i)
            endif()
            if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
                set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
                swig_link_libraries(libsumojni -Wl,--whole-archive ${libsumo_link_library} ${sumolibs} -Wl,--no-whole-archive)
            else()
                swig_link_libraries(libsumojni ${libsumo_link_library} ${sumolibs})
            endif()
            swig_link_libraries(libsumojni ${sumo_link_libraries})
            if (MVN_EXECUTABLE)
                ADD_CUSTOM_COMMAND(TARGET libsumojni POST_BUILD
                    COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/traci/rebuildConstants.py -o java/Constants.java -j org.eclipse.sumo.libsumo.Constants
                    COMMAND ${CMAKE_COMMAND} -E make_directory src/main/java/org/eclipse/sumo/libsumo
                    COMMAND ${CMAKE_COMMAND} -E copy_directory java src/main/java/org/eclipse/sumo/libsumo
                    COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/pom.py libsumo $<TARGET_FILE_DIR:libsumojni>
                    COMMAND ${MVN_COMMAND_PREFIX} ${MVN_EXECUTABLE} ${MVN_REPO} ${MVN_OPTS} --batch-mode package source:jar
                )
            else()
                message(WARNING "Could not build libsumo jar, maven was not found.")
            endif()
            set_target_properties(libsumojni PROPERTIES FOLDER "libsumo")
            install(TARGETS libsumojni DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
        else()
            message(WARNING "ENABLE_JAVA_BINDINGS is set but Java or JNI was not found.")
        endif()
    endif()

    if (ENABLE_CS_BINDINGS)
        set(CS_NAMESPACE Eclipse.Sumo.Libsumo)
        set(CMAKE_SWIG_FLAGS -namespace ${CS_NAMESPACE})
        if (FOX_FOUND)
            set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DHAVE_LIBSUMOGUI)
        endif()
        set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/${CS_NAMESPACE})
        set(SWIG_MODULE_libsumocs_EXTRA_DEPS ${LIBSUMO_HEADERS} libsumo_typemap.i)
        if (${CMAKE_VERSION} VERSION_GREATER 3.8.0)
            SWIG_ADD_LIBRARY(libsumocs LANGUAGE CSharp SOURCES libsumo.i)
        else()
            SWIG_ADD_MODULE(libsumocs CSharp libsumo.i)
        endif()
        if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
            set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
            swig_link_libraries(libsumocs -Wl,--whole-archive ${libsumo_link_library} ${sumolibs} -Wl,--no-whole-archive)
        else()
            swig_link_libraries(libsumocs ${libsumo_link_library} ${sumolibs})
        endif()
        swig_link_libraries(libsumocs ${sumo_link_libraries})
        ADD_CUSTOM_COMMAND(TARGET libsumocs POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E tar "cf" "$<TARGET_FILE_DIR:libsumocs>/libsumocs-sources.zip" --format=zip "${CS_NAMESPACE}"
        )
        set_target_properties(libsumocs PROPERTIES FOLDER "libsumo" PREFIX "")
        install(TARGETS libsumocs DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()

    if (ENABLE_PYTHON_BINDINGS AND PYTHON_INCLUDE_DIRS)
        include_directories(${PYTHON_INCLUDE_DIRS})
        set(CMAKE_SWIG_FLAGS -keyword) # is necessary for using keyword args
        # other options which should be evaluated: -builtin, -modern, -extranative
        if (FOX_FOUND)
            set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DHAVE_LIBSUMOGUI)
        endif()
        set(SWIG_OUTFILE_DIR ${CMAKE_CURRENT_BINARY_DIR})
        if (NOT ISOLATED_BUILD)
            set(CMAKE_SWIG_OUTDIR ${CMAKE_SOURCE_DIR}/tools/libsumo)
            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/tools/libsumo)
#            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/tools/libsumo)
            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/tools/libsumo)
        endif()
        set(SWIG_MODULE_libsumo_EXTRA_DEPS ${LIBSUMO_HEADERS} libsumo_typemap.i)
        if (${CMAKE_VERSION} VERSION_GREATER 3.8.0)
            if (CLANG_COMPILER)
                set_property(SOURCE libsumo.i PROPERTY GENERATED_COMPILE_OPTIONS "-Wno-deprecated-declarations")
            endif()
            SWIG_ADD_LIBRARY(libsumo LANGUAGE python SOURCES libsumo.i)
        else()
            SWIG_ADD_MODULE(libsumo python libsumo.i)
        endif()
        add_dependencies(${SWIG_MODULE_libsumo_REAL_NAME} generate-version-h install_dll)
        if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
            swig_link_libraries(libsumo -Wl,--whole-archive ${libsumo_link_library} ${sumolibs} -Wl,--no-whole-archive)
        else()
            set_target_properties(${SWIG_MODULE_libsumo_REAL_NAME} PROPERTIES FOLDER "libsumo")
            if (SKBUILD OR ${CMAKE_VERSION} VERSION_LESS 3.14.0)
                swig_link_libraries(libsumo ${libsumo_link_library} ${sumolibs} ${PYTHON_LIBRARIES})
            else()
                # using target fixes segfault in macos, swig_link_libraries is also deprecated
                target_link_libraries(libsumo ${libsumo_link_library} ${sumolibs} Python::Module)
            endif()
        endif()
        if (WIN32)
            swig_link_libraries(libsumo ${PYTHON_LIBRARIES})
        endif()
        swig_link_libraries(libsumo ${sumo_link_libraries})
        if (NOT ${PYTHON_SETUPTOOLS_MISSING})
            if (${PYTHON_BUILD_MISSING})
                install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/setup-libsumo.py clean --all install --root=\$ENV{DESTDIR}/ --prefix=${CMAKE_INSTALL_PREFIX} --optimize=1)"
                        COMPONENT pylibsumo)
            else ()
                install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ./build_config/version.py ./build_config/setup-libsumo.py ./setup.py COMMAND ${PYTHON_EXECUTABLE} -m pip install --root=\$ENV{DESTDIR}/ --prefix=${CMAKE_INSTALL_PREFIX} -f ${CMAKE_BINARY_DIR} . WORKING_DIRECTORY ${SUMO_TOOLS_DIR})"
                        COMPONENT pylibsumo)
            endif()
        endif()
    endif()

endif()

=== src/libtraci/CMakeLists.txt ===
set(libtracistatic_STAT_SRCS
    Connection.cpp
    Connection.h
    Domain.h
    Edge.cpp
    GUI.cpp
    InductionLoop.cpp
    Junction.cpp
    Lane.cpp
    LaneArea.cpp
    MultiEntryExit.cpp
    Person.cpp
    POI.cpp
    Polygon.cpp
    Route.cpp
    Calibrator.cpp
    BusStop.cpp
    ParkingArea.cpp
    ChargingStation.cpp
    RouteProbe.cpp
    Rerouter.cpp
    VariableSpeedSign.cpp
    MeanData.cpp
    OverheadWire.cpp
    Simulation.cpp
    TrafficLight.cpp
    Vehicle.cpp
    VehicleType.cpp
)

if (NOT ISOLATED_BUILD)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/bin)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/bin)
endif()
add_library(libtracistatic STATIC ${libtracistatic_STAT_SRCS})
add_dependencies(libtracistatic generate-version-h install_dll)
set_target_properties(libtracistatic PROPERTIES FOLDER "libtraci" PREFIX ""
    OUTPUT_NAME libtracistatic${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libtracistatic${BINARY_SUFFIX}D)

if (WIN32)
    set(libtcpip foreign_tcpip ws2_32)
else()
    set(libtcpip foreign_tcpip)
endif()

add_library(libtracicpp SHARED ${libtracistatic_STAT_SRCS})
set_target_properties(libtracicpp PROPERTIES FOLDER "libtraci" PREFIX ""
    OUTPUT_NAME libtracicpp${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libtracicpp${BINARY_SUFFIX}D)
target_include_directories(libtracicpp PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>)
install(TARGETS libtracicpp EXPORT SUMOConfig
    DESTINATION bin
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
export(TARGETS libtracicpp NAMESPACE SUMO:: APPEND FILE "${CMAKE_BINARY_DIR}/SUMOConfig.cmake")

if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
    target_link_libraries(libtracicpp PRIVATE -Wl,--whole-archive ${libtcpip} -Wl,--no-whole-archive)
else ()
    target_link_libraries(libtracicpp PRIVATE ${libtcpip})
endif()

if (SWIG_FOUND)
    include(${SWIG_USE_FILE})
    set_source_files_properties(libtraci.i PROPERTIES CPLUSPLUS ON)
    file(GLOB libtraci_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/../libsumo/*.h")
    if (ENABLE_JAVA_BINDINGS)
        find_package(Java)
        find_package(JNI)
        if(JAVA_FOUND AND JNI_FOUND)
            include(UseJava)
            include_directories(${JNI_INCLUDE_DIRS})
            set(CMAKE_SWIG_FLAGS -package org.eclipse.sumo.libtraci)
            set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/java)
            set(SWIG_MODULE_libtracijni_EXTRA_DEPS ${libtraci_HEADERS} ../libsumo/libsumo_typemap.i)
            if (${CMAKE_VERSION} VERSION_GREATER 3.8.0)
                SWIG_ADD_LIBRARY(libtracijni LANGUAGE java SOURCES libtraci.i)
            else()
                SWIG_ADD_MODULE(libtracijni java libtraci.i)
            endif()
            if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
                set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
                swig_link_libraries(libtracijni -Wl,--whole-archive libtracistatic ${libtcpip} -Wl,--no-whole-archive)
            else()
                swig_link_libraries(libtracijni libtracistatic ${libtcpip})
            endif()
            if (MVN_EXECUTABLE)
                ADD_CUSTOM_COMMAND(TARGET libtracijni POST_BUILD
                    COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/traci/rebuildConstants.py -o java/Constants.java -j org.eclipse.sumo.libtraci.Constants
                    COMMAND ${CMAKE_COMMAND} -E make_directory src/main/java/org/eclipse/sumo/libtraci
                    COMMAND ${CMAKE_COMMAND} -E copy_directory java src/main/java/org/eclipse/sumo/libtraci
                    COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/pom.py libtraci $<TARGET_FILE_DIR:libtracijni>
                    COMMAND ${MVN_COMMAND_PREFIX} ${MVN_EXECUTABLE} ${MVN_REPO} ${MVN_OPTS} --batch-mode package source:jar
                )
                # this dependency avoids concurrent maven access to the repo
                add_dependencies(libtracijni libsumojni)
            else()
                message(WARNING "Could not build libtraci jar, maven was not found.")
            endif()
            set_target_properties(libtracijni PROPERTIES FOLDER "libtraci")
            install(TARGETS libtracijni DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
        else()
            message(WARNING "ENABLE_JAVA_BINDINGS is set but Java or JNI was not found.")
        endif()
    endif()

    if (ENABLE_CS_BINDINGS)
        set(CS_NAMESPACE Eclipse.Sumo.Libtraci)
        set(CMAKE_SWIG_FLAGS -namespace ${CS_NAMESPACE})
        set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/${CS_NAMESPACE})
        set(SWIG_MODULE_libtracics_EXTRA_DEPS ${libtraci_HEADERS} ../libsumo/libsumo_typemap.i)
        if (${CMAKE_VERSION} VERSION_GREATER 3.8.0)
            SWIG_ADD_LIBRARY(libtracics LANGUAGE CSharp SOURCES libtraci.i)
        else()
            SWIG_ADD_MODULE(libtracics CSharp libtraci.i)
        endif()
        if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
            set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
            swig_link_libraries(libtracics -Wl,--whole-archive libtracistatic ${libtcpip} -Wl,--no-whole-archive)
        else()
            swig_link_libraries(libtracics libtracistatic ${libtcpip})
        endif()
        ADD_CUSTOM_COMMAND(TARGET libtracics POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E tar "cf" "$<TARGET_FILE_DIR:libtracics>/libtracics-sources.zip" --format=zip "${CS_NAMESPACE}"
        )
        set_target_properties(libtracics PROPERTIES FOLDER "libtraci" PREFIX "")
        install(TARGETS libtracics DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()

    if (ENABLE_PYTHON_BINDINGS AND PYTHON_INCLUDE_DIRS)
        include_directories(${PYTHON_INCLUDE_DIRS})
#                set(CMAKE_SWIG_FLAGS "")
        set(CMAKE_SWIG_FLAGS "-keyword") # is necessary for using keyword args
# other options which should be evaluated: -builtin, -modern, -extranative
        set(SWIG_OUTFILE_DIR ${CMAKE_CURRENT_BINARY_DIR})
        if (NOT ISOLATED_BUILD)
            set(CMAKE_SWIG_OUTDIR ${CMAKE_SOURCE_DIR}/tools/libtraci)
            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/tools/libtraci)
#            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/tools/libtraci)
            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/tools/libtraci)
        endif()
        set(SWIG_MODULE_libtraci_EXTRA_DEPS ${libtraci_HEADERS} ../libsumo/libsumo_typemap.i)
        if (${CMAKE_VERSION} VERSION_GREATER 3.8.0)
            if (CLANG_COMPILER)
                set_property(SOURCE libtraci.i PROPERTY GENERATED_COMPILE_OPTIONS "-Wno-deprecated-declarations")
            endif()
            SWIG_ADD_LIBRARY(libtraci LANGUAGE python SOURCES libtraci.i)
        else()
            SWIG_ADD_MODULE(libtraci python libtraci.i)
        endif()
        if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
            swig_link_libraries(libtraci -Wl,--whole-archive libtracistatic ${libtcpip} -Wl,--no-whole-archive)
        else()
            set_target_properties(${SWIG_MODULE_libtraci_REAL_NAME} PROPERTIES FOLDER "libtraci")
            if (SKBUILD OR ${CMAKE_VERSION} VERSION_LESS 3.14.0)
                swig_link_libraries(libtraci libtracistatic ${libtcpip} ${PYTHON_LIBRARIES})
            else()
                # using target fixes segfault in macos, swig_link_libraries is also deprecated
                target_link_libraries(libtraci libtracistatic ${libtcpip} Python::Module)
            endif()
        endif()
        if (WIN32)
            swig_link_libraries(libtraci ${PYTHON_LIBRARIES})
        endif()
        if (NOT ${PYTHON_SETUPTOOLS_MISSING})
            if (${PYTHON_BUILD_MISSING})
                install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/setup-libtraci.py clean --all install --root=\$ENV{DESTDIR}/ --prefix=${CMAKE_INSTALL_PREFIX} --optimize=1)"
                        COMPONENT pylibtraci)
            else ()
                install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ./build_config/version.py ./build_config/setup-libtraci.py ./setup.py COMMAND ${PYTHON_EXECUTABLE} -m pip install --root=\$ENV{DESTDIR}/ --prefix=${CMAKE_INSTALL_PREFIX} -f ${CMAKE_BINARY_DIR} . WORKING_DIRECTORY ${SUMO_TOOLS_DIR})"
                        COMPONENT pylibtraci)
            endif()
        endif()
    endif()

endif()

=== src/netedit/CMakeLists.txt ===
# First link all subdirectories
add_subdirectory(changes)
add_subdirectory(dialogs)
add_subdirectory(frames)
add_subdirectory(elements)
add_subdirectory(tools)

# create set with all main netedit source code files
set(netedit_SRCS
   GNEApplicationWindow.cpp
   GNEApplicationWindow.h
   GNEApplicationWindowHelper.cpp
   GNEApplicationWindowHelper.h
   GNEAttributeProperties.cpp
   GNEAttributeProperties.h
   GNEEvent_NetworkLoaded.h
   GNEExternalRunner.cpp
   GNEExternalRunner.h
   GNEInternalTest.cpp
   GNEInternalTest.h
   GNELane2laneConnection.cpp
   GNELane2laneConnection.h
   GNELoadThread.cpp
   GNELoadThread.h
   GNENet.cpp
   GNENet.h
   GNENetHelper.cpp
   GNENetHelper.h
   GNEPathManager.cpp
   GNEPathManager.h
   GNEReferenceCounter.h
   GNESegment.cpp
   GNESegment.h
   GNETagProperties.cpp
   GNETagProperties.h
   GNETagPropertiesDatabase.cpp
   GNETagPropertiesDatabase.h
   GNEUndoList.cpp
   GNEUndoList.h
   GNEViewNet.cpp
   GNEViewNet.h
   GNEViewNetHelper.cpp
   GNEViewNetHelper.h
   GNEViewParent.cpp
   GNEViewParent.h
   netedit_main.cpp
   templates.h
)

# create netedit executable using the main netedit source code files defined previously in netedit_SRCS
# and icon defined in file netedit.rc
add_executable(netedit ${netedit_SRCS} netedit.rc)

# Add suffix to netedit executable in RELEASE mode if was defined in variable BINARY_SUFFIX
set_target_properties(netedit PROPERTIES OUTPUT_NAME netedit${BINARY_SUFFIX})

# Add suffix + D to netedit executable in DEBUG mode if was defined in variable BINARY_SUFFIX
set_target_properties(netedit PROPERTIES OUTPUT_NAME_DEBUG netedit${BINARY_SUFFIX}D)

# link all previously compiled libraries to netedit. Every library was compiled in their own folder using own CMakeList.txt
target_link_libraries(netedit gui_dialogs utils_gui_cursors utils_gui_shortcuts utils_tests utils_foxtools foreign_eulerspiral
        netedit_frames_common netedit_frames_network netedit_frames_demand netedit_frames_data netedit_frames
        netedit_elements netedit_elements_network netedit_elements_additional netedit_elements_demand netedit_elements_moving
        netedit_elements_data netedit_changes utils_gui_div utils_gui_settings utils_gui_images netedit_dialogs_run
        netedit_dialogs_tools netedit_dialogs_basic netedit_dialogs_file netedit_dialogs_fix netedit_dialogs_elements
        netedit_dialogs_elements_lists netedit_dialogs_options netedit_tools netedit_dialogs utils_gui_windows utils_gui_globjects
        utils_gui_tracker utils_foxtools utils_vehicle utils_emissions foreign_phemlight foreign_phemlight_V5
        ${netconvertlibs} ${FOX_LIBRARY} ${GL2PS_LIBRARIES} ${BOOST_LIBRARIES})

# if we're compiling using Visual Studio, add extra options
if (MSVC)
    # Enable or disable console in release mode depending of variable CONSOLE_RELEASE
    # and set VC variable ENTRY, see https://learn.microsoft.com/en-us/cpp/build/reference/entry-entry-point-symbol
    if (CONSOLE_RELEASE)
        set_target_properties(netedit PROPERTIES LINK_FLAGS_RELEASE "/ENTRY:mainCRTStartup")
    else ()
        set_target_properties(netedit PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")
    endif()
    # Disable DPI Aware if we're using a old CMAKE Version
    if (CMAKE_VERSION VERSION_LESS "3.16.0")
        message(STATUS "DPI awareness for netedit will be disabled. Please consider using CMake version >= 3.16 to enable it")
    else ()
        set_target_properties(netedit PROPERTIES VS_DPI_AWARE "ON")
    endif ()
    # Target system libraries opengl32 and glu32 (common for all operating systems)
    target_link_libraries(netedit opengl32 glu32)
endif ()

# define dependencies of NETEDIT (needs templates.h, version.h and DLLs installed in bin folder)
add_dependencies(netedit generate-templates-h generate-version-h install_dll)

# finally, define output folder (in our case, SUMO/bin)
install(TARGETS netedit RUNTIME DESTINATION bin)

# now we're going to define the templates.h dependency.
# First we define a custom target for templates.h
add_custom_target(generate-templates-h DEPENDS templates.h)

# place custom target in tree folder CMake (in Visual studio)
set_property(TARGET generate-templates-h PROPERTY FOLDER "CMake")

# for generating dependences we need a SUMO binary compiled, then add sumo as dependency of generate-templates-h.
# this will compile SUMO BEFORE generate templates.h
add_dependencies(generate-templates-h sumo netgenerate)

# create CMake custom command that generates templates.h file (OUTPUT) giving as argument python executable (PYTHON_EXECUTABLE),
# the python script <SUMO>/tools/build_config/templates.py (<SUMO/src/netedit>/../../tools/build_config/templates.py) and the sumo binary
add_custom_command(OUTPUT templates.h
                   COMMAND ${PYTHON_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/templates.py $<TARGET_FILE:sumo> $<TARGET_FILE:netgenerate>
                   DEPENDS sumo netgenerate
                   )

# Finally mark the generated templates.h as a generated file
set_source_files_properties(${CMAKE_BINARY_DIR}/src/netedit/templates.h PROPERTIES GENERATED TRUE)

=== src/tools/CMakeLists.txt ===
set(emissionsDrivingCycle_SRCS
   emissionsDrivingCycle_main.cpp
   TrajectoriesHandler.cpp
   TrajectoriesHandler.h
   VTypesHandler.cpp
   VTypesHandler.h
)

add_executable(emissionsDrivingCycle ${emissionsDrivingCycle_SRCS})
set_target_properties(emissionsDrivingCycle PROPERTIES OUTPUT_NAME emissionsDrivingCycle${BINARY_SUFFIX})
set_target_properties(emissionsDrivingCycle PROPERTIES OUTPUT_NAME_DEBUG emissionsDrivingCycle${BINARY_SUFFIX}D)
target_link_libraries(emissionsDrivingCycle utils_vehicle utils_emissions foreign_phemlight foreign_phemlight_V5 ${commonlibs} ${TCMALLOC_LIBRARY})
add_dependencies(emissionsDrivingCycle generate-version-h install_dll)

add_executable(emissionsMap VTypesHandler.cpp VTypesHandler.h emissionsMap_main.cpp)
set_target_properties(emissionsMap PROPERTIES OUTPUT_NAME emissionsMap${BINARY_SUFFIX})
set_target_properties(emissionsMap PROPERTIES OUTPUT_NAME_DEBUG emissionsMap${BINARY_SUFFIX}D)
target_link_libraries(emissionsMap utils_emissions utils_vehicle foreign_phemlight foreign_phemlight_V5 ${commonlibs} ${TCMALLOC_LIBRARY})
if (GNU_COMPILER AND ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS "9.0" AND "cxx_std_17" IN_LIST CMAKE_CXX_COMPILE_FEATURES)
    target_link_libraries(emissionsMap stdc++fs)
endif()
add_dependencies(emissionsMap generate-version-h install_dll)

install(TARGETS emissionsDrivingCycle emissionsMap RUNTIME DESTINATION bin)

=== src/netedit/tools/CMakeLists.txt ===
set(netedit_tools_SRCS
   GNENetDiffTool.cpp
   GNENetDiffTool.h
   GNEPythonTool.cpp
   GNEPythonTool.h
   )

add_library(netedit_tools STATIC ${netedit_tools_SRCS})
set_property(TARGET netedit_tools PROPERTY PROJECT_LABEL "z_netedit_tools")
add_dependencies(netedit_tools generate-version-h)

=== src/utils/common/CMakeLists.txt ===
set(utils_common_STAT_SRCS
   Command.h
   FileHelpers.cpp
   FileHelpers.h
   IDSupplier.h
   IDSupplier.cpp
   LinearApproxHelpers.h
   LinearApproxHelpers.cpp
   MsgHandler.h
   MsgHandler.cpp
   MsgRetrievingFunction.h
   Named.h
   NamedObjectCont.h
   NamedRTree.h
   MapMatcher.h
   Parameterised.cpp
   Parameterised.h
   PolySolver.h
   PolySolver.cpp
   RandHelper.h
   RandHelper.cpp
   RGBColor.cpp
   RGBColor.h
   ScopedLocker.h
   StaticCommand.h
   StdDefs.h
   StdDefs.cpp
   StringBijection.h
   SequentialStringBijection.h
   StringTokenizer.cpp
   StringTokenizer.h
   StringUtils.cpp
   StringUtils.h
   SUMOTime.cpp
   SUMOTime.h
   SUMOVehicleClass.cpp
   SUMOVehicleClass.h
   SystemFrame.cpp
   SystemFrame.h
   SysUtils.h
   SysUtils.cpp
   ToString.h
   UtilExceptions.cpp
   UtilExceptions.h
   ValueRetriever.h
   ValueSource.h
   ValueTimeLine.h
   VectorHelper.h
   WrappingCommand.h
)

add_library(utils_common STATIC ${utils_common_STAT_SRCS})
set_property(TARGET utils_common PROPERTY PROJECT_LABEL "z_utils_common")

=== src/utils/distribution/CMakeLists.txt ===
set(utils_distribution_STAT_SRCS
   Distribution.h
   Distribution_Parameterized.cpp
   Distribution_Parameterized.h
   Distribution_Points.cpp
   Distribution_Points.h
   DistributionCont.cpp
   DistributionCont.h
   RandomDistributor.h
)

add_library(utils_distribution STATIC ${utils_distribution_STAT_SRCS})
set_property(TARGET utils_distribution PROPERTY PROJECT_LABEL "z_utils_distribution")

=== src/utils/foxtools/CMakeLists.txt ===
set(utils_foxtools_STAT_SRCS
   fxexdefs.h
   fxheader.h
   MFXBaseObject.cpp
   MFXBaseObject.h
   MFXButtonTooltip.cpp
   MFXButtonTooltip.h
   MFXCheckButtonTooltip.cpp
   MFXCheckButtonTooltip.h
   MFXCheckableButton.cpp
   MFXCheckableButton.h
   MFXComboBoxAttrProperty.cpp
   MFXComboBoxAttrProperty.h
   MFXComboBoxIcon.cpp
   MFXComboBoxIcon.h
   MFXComboBoxTagProperty.cpp
   MFXComboBoxTagProperty.h
   MFXDecalsTable.cpp
   MFXDecalsTable.h
   MFXDynamicLabel.cpp
   MFXDynamicLabel.h
   MFXGroupBoxModule.cpp
   MFXGroupBoxModule.h
   MFXImageHelper.cpp
   MFXImageHelper.h
   MFXInterThreadEventClient.h
   MFXLCDLabel.cpp
   MFXLCDLabel.h
   MFXLabelTooltip.cpp
   MFXLabelTooltip.h
   MFXLinkLabel.cpp
   MFXLinkLabel.h
   MFXListIcon.cpp
   MFXListIcon.h
   MFXListIconItem.cpp
   MFXListIconItem.h
   MFXMenuButtonTooltip.cpp
   MFXMenuButtonTooltip.h
   MFXMenuCheckIcon.cpp
   MFXMenuCheckIcon.h
   MFXMenuHeader.cpp
   MFXMenuHeader.h
   MFXRealSpinner.cpp
   MFXRealSpinner.h
   MFXRecentNetworks.cpp
   MFXRecentNetworks.h
   MFXSevenSegment.cpp
   MFXSevenSegment.h
   MFXSingleEventThread.cpp
   MFXSingleEventThread.h
   MFXStaticToolTip.cpp
   MFXStaticToolTip.h
   MFXSynchQue.h
   MFXSynchSet.h
   MFXTextFieldIcon.cpp
   MFXTextFieldIcon.h
   MFXTextFieldSearch.cpp
   MFXTextFieldSearch.h
   MFXThreadEvent.cpp
   MFXThreadEvent.h
   MFXToggleButtonTooltip.cpp
   MFXToggleButtonTooltip.h
   MFXTreeListDynamic.cpp
   MFXTreeListDynamic.h
   MFXUtils.cpp
   MFXUtils.h
   MFXWorkerThread.h
   MsgHandlerSynchronized.h
)

add_library(utils_foxtools STATIC ${utils_foxtools_STAT_SRCS})
set_property(TARGET utils_foxtools PROPERTY PROJECT_LABEL "z_utils_foxtools")

=== src/netedit/dialogs/basic/CMakeLists.txt ===
set(netedit_dialogs_basic_SRCS
    GNEBasicDialog.cpp
    GNEBasicDialog.h
    GNEErrorBasicDialog.cpp
    GNEErrorBasicDialog.h
    GNEHelpBasicDialog.cpp
    GNEHelpBasicDialog.h
    GNEInformationBasicDialog.cpp
    GNEInformationBasicDialog.h
    GNEOverwriteElement.cpp
    GNEOverwriteElement.h
    GNEQuestionBasicDialog.cpp
    GNEQuestionBasicDialog.h
    GNEWarningBasicDialog.cpp
    GNEWarningBasicDialog.h
)

add_library(netedit_dialogs_basic STATIC ${netedit_dialogs_basic_SRCS})
set_property(TARGET netedit_dialogs_basic PROPERTY PROJECT_LABEL "z_netedit_dialogs_basic")
add_dependencies(netedit_dialogs_basic generate-version-h)

=== debian/changelog ===
sumo (1.25.0+dfsg1-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Jan 2026 20:01:41 +0000

sumo (1.25.0+dfsg1-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:16:14 +0000

sumo (1.25.0+dfsg1-1) unstable; urgency=medium

  * [495d268] New upstream version 1.25.0+dfsg1
  * [6dcf627] chore: Rebase patches for upstream 1.25.0

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Nov 2025 08:43:05 +0100

=== debian/control ===
Source: sumo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               default-jdk,
               dh-python,
               freeglut3-dev,
               graphviz,
               help2man,
               libavformat-dev,
               libbz2-dev,
               libcups2-dev,
               libeigen3-dev,
               libfox-1.6-dev,
               libgdal-dev,
               libgl2ps-dev,
               libgtest-dev,
               libopenscenegraph-dev,
               libproj-dev,
               libstb-dev,
               libswscale-dev,
               libxerces-c-dev,
               libxrandr-dev,
               python3-dev,
               python3-setuptools,
               swig
Build-Depends-Indep: doxygen
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/sumo
Vcs-Git: https://salsa.debian.org/science-team/sumo.git
Homepage: https://sumo.dlr.de/
Rules-Requires-Root: no

Package: sumo
Architecture: any
Depends: fonts-roboto-unhinted,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: sumo-tools
Description: Simulation of Urban MObility (SUMO)
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 Main binary.

Package: sumo-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), documentation and examples
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins documentation and examples.

Package: sumo-tools
Architecture: all
Depends: fonts-roboto-unhinted,
         jarwrapper,
         libjs-openlayers,
         ${python3:Depends},
         ${misc:Depends}
Recommends: sumo
Breaks: sumo (<< 1.8)
Replaces: sumo (<< 1.8)
Description: Simulation of Urban MObility (SUMO), tools and scripts
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins different tools and scripts.
